# TeleportAsyncResult

TeleportAsyncResult : `Instance`

## Overview

`TeleportService:TeleportAsync`가 완료된 뒤 반환되는 결과 인스턴스입니다. 텔레포트 요청이 성공적으로 처리되었을 때, 플레이어가 입장한 서버에 대한 정보를 담아 호출자에게 전달합니다.

## Properties

### ReservedServerAccessCode

`string`

해당 텔레포트로 플레이어가 입장한 예약(Reserved) 서버의 접근 코드입니다.&#x20;

`TeleportOptions.ShouldReserveServer`를 `true`로 지정하여 새 Private 서버를 생성한 경우, 이후 다른 플레이어를 같은 서버로 텔레포트시키기 위해 `TeleportOptions.ReservedServerAccessCode`에 전달할 때 사용할 수 있는 값입니다.&#x20;

예약 서버가 아닌 Public 서버에 합류한 경우 빈 문자열일 수 있습니다.

#### Code Samples

```lua
local TeleportService = game:GetService("TeleportService")

local targetPlaceId = 1234 -- 월드에 연결된 Place의 Id

-- 전용 서버 생성
local success, errorOrAccessCode = pcall(function()
    return TeleportService:ReserveServerAsync(targetPlaceId)
end)

if not success or errorOrAccessCode == nil or errorOrAccessCode == "" then
    return
end

-- TeleportOptions 설정
local options = Instance.new("TeleportOptions")	
options.ReservedServerAccessCode = errorOrAccessCode -- 예약 서버 접근 코드
options.ShouldReserveServer = false                  -- 새로운 예약 서버 생성 여부 (ReservedServerAccessCode 사용시 false여야 합니다.)

-- 텔레포트 실행
local success, errorOrResult = pcall(function()
    local players = { player } -- 텔레포트할 플레이어 목록
		
    local teleportResult = TeleportService:TeleportAsync(targetPlaceId, players, options)     
    return teleportResult
end)

print("TeleportAsyncResult.ReservedServerAccessCode : ", errorOrResult.ReservedServerAccessCode)
```

## Methods

## Events

## See also

{% content-ref url="/pages/IJpK8Xy2OodL1R6Kcf7g" %}
[Place & Teleport](/korean/manual/studio-manual/game-development/place-and-teleport.md)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.overdare.com/korean/development/api-reference/classes/teleportasyncresult.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
